using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace LINQ_to_TXT
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //string s="1	Jacek	Matulewski	123456789	35";
            string s = "1\tJacek\tMatulewski\t123456789\t35";
            MessageBox.Show("Łańcuch do parsowania:\n" + s);
            Osoba osoba = Osoba.Parse(s);
            MessageBox.Show("Wynik parsowania (obiekt Osoba):\nId: "+osoba.Id+", Imię: " + osoba.Imię + ", Nazwisko: " + osoba.Nazwisko + ", Numer telefonu: "+osoba.NumerTelefonu+", Wiek=" + osoba.Wiek);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            string nazwaPliku = @"..\..\ListaOsob.txt";
            PlikTekstowyListaOsob pt = new PlikTekstowyListaOsob(nazwaPliku);
            
            string s = "Pełna lista osób:\n";
            foreach (Osoba osoba in pt.listaOsob) s += osoba.Imię +" "+osoba.Nazwisko+" ("+osoba.Wiek+")\n";
            MessageBox.Show(s);

            s = "Lista osób pełnoletnich:\n";
            var listaOsobPelnoletnich = from Osoba osoba in pt.listaOsob 
                                        where osoba.Wiek>=18 
                                        orderby osoba.Wiek 
                                        select osoba;
            foreach (Osoba osoba in listaOsobPelnoletnich) s += osoba.Imię + " " + osoba.Nazwisko + " (" + osoba.Wiek + ")\n";
            MessageBox.Show(s);
        }
    }
}
